
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[vundle]利用vundle工具来管理vim插件 / 憋错料</title>

    <meta name="description" content="[vundle]利用vundle工具来管理vim插件 转自:http://os.51cto.com/art/201507/484174.htm Vim是Linux上一款用途广泛的轻量级文本编辑工具.虽然对普通的Linux用户来说开始学用起来难度相当大,但鉴于它具有的种种好处,完全值得一学.至于功能方面,Vim可以通过插件实现全面定制.不过由于其高级配置,你可能需要在其插件系统上花一番时间,才能够高效地对Vim进行个性化定制.幸好,我们有几个工具可以简化我们使用Vim插件.Vundle就是本人每天使用的一款工具. 1. Vundle简介 Vundle">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">[vundle]利用vundle工具来管理vim插件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>转自：<a href="http://os.51cto.com/art/201507/484174.htm" rel="external nofollow noreferrer">http://os.51cto.com/art/201507/484174.htm</a></p>
<p>Vim是Linux上一款用途广泛的轻量级文本编辑工具。虽然对普通的Linux用户来说开始学用起来难度相当大，但鉴于它具有的种种好处，完全值得一学。至于功能方面，Vim可以通过插件实现全面定制。不过由于其高级配置，你可能需要在其插件系统上花一番时间，才能够高效地对Vim进行个性化定制。幸好，我们有几个工具可以简化我们使用Vim插件。Vundle就是本人每天使用的一款工具。</p>
<h2><strong>1. Vundle</strong><strong>简介</strong></h2>
<p>Vundle（https://github.com/VundleVim/Vundle.vim）的全称是Vim Bundle，它是一款Vim插件管理工具。Vundle让你可以非常轻松地安装、更新、搜索和清理Vim插件。它还能管理你的运行时环境，并帮助标记。我在本教程中将介绍如何安装和使用Vundle。</p>
<h2><strong>2. 安装Vundle</strong></h2>
<p>首先，如果你的Linux系统上还没有Git，安装它（http://ask.xmodulo.com/install-git-linux.html）。</p>
<p>下一步，创建一个目录，Vim插件下载后将安装到该目录下。默认情况下，该目录位于~/.vim/bundle。</p>
<pre>$ mkdir -p ~/.vim/bundle </pre>
<p>现在安装Vundle，如下所示。请注意：Vundle本身是另一种Vim插件。因而，我们将Vundle安装在之前创建的~/.vim/bundle下。</p>
<pre>$ git clone https://github.com/gmarik/Vundle.vim.git ~/.vim/bundle/Vundle.vim </pre>

<h2><strong>3. 配置Vundle</strong></h2>
<p>现在设置你的.vimrc文件，如下所示：</p>
<pre>set nocompatible              " 这是必需的
filetype off                  " 这是必需的 

" 你在此设置运行时路径
set rtp+=~/.vim/bundle/Vundle.vim  

" vundle初始化
call vundle#begin()  

" 这应该始终是第一个
Plugin ‘gmarik/Vundle.vim‘ 

" 该例子来自https://github.com/gmarik/Vundle.vim README
Plugin ‘tpope/vim-fugitive‘  

" 来自http://vim-scripts.org/vim/scripts.html的插件
Plugin ‘L9‘  

"未托管在GitHub上的Git插件
Plugin ‘git://git.wincent.com/command-t.git‘  

"本地机器上的git软件库（即编写自己的插件时）
Plugin ‘file:///home/gmarik/path/to/plugin‘  

" sparkup vim脚本在名为vim的该软件库子目录下。
" 传递路径，合理设置运行时路径。
Plugin ‘rstacruz/sparkup‘, {‘rtp‘: ‘vim/‘} 

" 与L9避免名称冲突
Plugin ‘user/L9‘, {‘name‘: ‘newL9‘}  

"每个插件都应该在这一行之前  

call vundle#end()            " required </pre>
<p>不妨稍微解释一下上述配置。默认情况下，Vundle从github.com或vim-scripts.org下载并安装Vim插件。你可以修改默认行为。</p>
<h3>3.1.插件安装方式</h3>
<ul>
<li>从Github进行安装：</li>
</ul>

<pre>Plugin ‘user/plugin‘ </pre>

<ul>
<li>从<a href="http://vim-scripts.org/vim/scripts.html" rel="external nofollow noreferrer">http://vim-scripts.org/vim/scripts.html</a>进行安装：</li>
</ul>

<pre>Plugin ‘plugin_name‘ </pre>

<ul>
<li>从另一个git软件库进行安装：</li>
</ul>

<pre>Plugin ‘git://git.another_repo.com/plugin‘ </pre>

<ul>
<li>从本地文件进行安装：</li>
</ul>

<pre>Plugin ‘file:///home/user/path/to/plugin‘ </pre>

<h3>3.2.定制参数</h3>
<p>你还可以定制其他参数，比如插件的运行时路径，如果你在自行编写插件，或者就想从不是~/.vim的另一个目录来装入它，这非常有用。</p>
<pre>Plugin ‘rstacruz/sparkup‘, {‘rtp‘: ‘another_vim_path/‘} </pre>
<p>如果你有同样名称的插件，可以更名插件，那样它就不会冲突。</p>
<pre>Plugin ‘user/plugin‘, {‘name‘: ‘newPlugin‘} </pre>

<h2><strong>4.Vundle</strong><strong>命令用法</strong></h2>
<p>一旦你用Vundle设置好了插件，就可以使用几个Vundle命令，用Vundle来安装、更新、搜索和清理闲置未用的插件。</p>
<h3><strong>4.1.安装一个新的插件</strong></h3>
<p>PluginInstall命令会安装在你的.vimrc文件中列出来的所有插件。你还可以只安装某一个特定的插件，只要传递其名称。</p>
<pre>:PluginInstall
:PluginInstall &lt;plugin-name&gt; </pre>

<h3><strong>4.2.清理闲置未用的插件</strong></h3>
<p>如果你有任何闲置未用的插件，只要使用PluginClean命令，就可以清理它。</p>
<pre>:PluginClean </pre>

<h3><strong>4.3.搜索插件</strong></h3>
<p>如果你想从所提供的插件列表安装一个插件，搜索功能就很有用。</p>
<pre>:PluginSearch &lt;text-list&gt; </pre>
<p>在搜索过程中，你可以在交互式分屏上安装、清理、研究或重新装入同一列表。安装插件不会自动装入你的插件。想自动装入插件，将插件添加到你的.vimrc文件。</p>
<p>这个功能也经常用，比如:PluginSearch taglist，完成搜索后，可以按下‘i‘进行安装</p>
<h2><strong>5.结束语</strong></h2>
<p>Vim是一款非常出色的工具。它不仅是一款出色的默认文本编辑工具，可以让你的工作流程更快速更流畅，还可以转换成IDE（集成开发环境），支持几乎任何一种现有的编程语言。Vundle对于快速轻松地对功能强大的Vim环境实现个性化大有帮助。</p>
<p>问题：</p>
<p>1.&nbsp;中间出现过问题call vundle#begin()和call vundle#end()配对时，始终.vimrc不起作用，后来换成call vundle#rc()和filetpe plugin indent on二者，把插件添加到中间即可。</p>
<p>2. 很多插件都需要设置.vimrc，如快捷键和路径等等，如下是简单地的一个.vimrc</p>
<p></p>

<pre>"vim configuration
set modelines=0
"设置更好的删除
set backspace=2
syntax on "语法高亮
"用浅色高亮当前行
autocmd InsertLeave * se nocul
autocmd InsertEnter * se cul
set smartindent "智能对齐
set autoindent "自动对齐
set confirm "在处理未保存或只读文件的时候，弹出确认框
set tabstop=4 "tab键的宽度
set softtabstop=4
set shiftwidth=4 "统一缩进为4
set expandtab "不要用空格替代制表符
set number "显示行号
set history=50  "历史纪录数
set hlsearch
set incsearch "搜素高亮,搜索逐渐高亮
set gdefault "行内替换
set encoding=utf-8
set fileencodings=utf-8,ucs-bom,shift-jis,gb18030,gbk,gb2312,cp936,utf-16,big5,euc-jp,latin1 "编码设置
colorscheme molokai
set guifont=Menlo:h16:cANSI "设置字体
set langmenu=zn_CN.UTF-8
set helplang=cn  "语言设置
set ruler "在编辑过程中，在右下角显示光标位置的状态行
set laststatus=1  "总是显示状态行
set showcmd "在状态行显示目前所执行的命令，未完成的指令片段也会显示出来
set scrolloff=3 "光标移动到buffer的顶部和底部时保持3行的距离
set showmatch "高亮显示对应的括号
set matchtime=5 "对应括号高亮时间(单位是十分之一秒)
set autowrite "在切换buffer时自动保存当前文件
set wildmenu  "增强模式中的命令行自动完成操作
set linespace=2 "字符间插入的像素行数目
set whichwrap=b,s,&lt;,&gt;,[,] "开启normal 或visual模式下的backspace键空格键，左右方向键,insert或replace模式下的左方向键，右方向键的跳行功能
filetype plugin indent on "分为三部分命令:file on,file plugin on,file indent on 分别是自动识别文件类型, 用用文件类型脚本,使用缩进定义文件
set foldenable  "允许折叠
set cursorline "突出显示当前行
set magic  "设置魔术？神马东东
set ignorecase "搜索忽略大小写
filetype on "打开文件类型检测功能
set background=dark
set t_Co=256   "256色
set mouse=a  "允许鼠标
set nocompatible              " 这是必需的
filetype off                  " 这是必需的 

" NERDTree------------------------------------------------------
let NERDTreeQuitOnOpen=1    " Nerdtree is quit, when file is opened
let NERDTreeShowBookmarks=1 " Display bootmark
" let NERDTreeChDirMode=2     " Root is default directory

" let mapleader = ","
map &lt;F4&gt; :NERDTreeToggle&lt;CR&gt;
map &lt;C-F4&gt; :NERDTreeFind&lt;CR&gt;

" Taglist------------------------------------------------------
let Tlist_Ctags_Cmd=‘ctags‘
let Tlist_Show_One_File=1
let Tlist_WinWidth=28
let Tlist_Exit_OnlyWindow=1
let Tlist_Use_Left_Window=1

" Cscope------------------------------------------------------
if has("cscope")
    set csprg=/usr/bin/cscope
    set csto=0
    set cst
    set nocsverb
    " add any database
    if filereadable("cscope.out")
        cs add cscope.out
        " else add pointed
    elseif $CSCOPE_DB!=""
        cs add $CSCOPE_DB
    endif
    set csverb
endif
" shortcuts
nmap &lt;[email&#160;protected]&gt;s :cs find s &lt;C-R&gt;=expand("&lt;cword&gt;")&lt;CR&gt;&lt;CR&gt;
nmap &lt;[email&#160;protected]&gt;g :cs find g &lt;C-R&gt;=expand("&lt;cword&gt;")&lt;CR&gt;&lt;CR&gt;
nmap &lt;[email&#160;protected]&gt;c :cs find c &lt;C-R&gt;=expand("&lt;cword&gt;")&lt;CR&gt;&lt;CR&gt;
nmap &lt;[email&#160;protected]&gt;t :cs find t &lt;C-R&gt;=expand("&lt;cword&gt;")&lt;CR&gt;&lt;CR&gt;
nmap &lt;[email&#160;protected]&gt;e :cs find e &lt;C-R&gt;=expand("&lt;cword&gt;")&lt;CR&gt;&lt;CR&gt;
nmap &lt;[email&#160;protected]&gt;f :cs find f &lt;C-R&gt;=expand("&lt;cword&gt;")&lt;CR&gt;&lt;CR&gt;
nmap &lt;[email&#160;protected]&gt;i :cs find i &lt;C-R&gt;=expand("&lt;cword&gt;")&lt;CR&gt;&lt;CR&gt;
nmap &lt;[email&#160;protected]&gt;d :cs find d &lt;C-R&gt;=expand("&lt;cword&gt;")&lt;CR&gt;&lt;CR&gt;
" Vundle--------------------------------------------------------
set rtp+=~/.vim/bundle/Vundle.vim  

call vundle#rc()

Plugin ‘gmarik/Vundle.vim‘ 

Plugin ‘tpope/vim-surround‘
Plugin ‘bling/vim-airline‘
Plugin ‘scrooloose/nerdtree‘
Plugin ‘taglist.vim‘
Plugin ‘cscope.vim‘
filetype plugin indent on           " required </pre>
<p></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 22:36:18 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/script/" title="script">script</a>, <a href="https://www.biecuoliao.com/tag/ada/" title="ada">ada</a>, <a href="https://www.biecuoliao.com/tag/find/" title="find">find</a>, <a href="https://www.biecuoliao.com/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.biecuoliao.com/tag/%e7%ad%89%e7%ad%89/" title="等等">等等</a>, <a href="https://www.biecuoliao.com/tag/%e6%a3%80%e6%b5%8b/" title="检测">检测</a>, <a href="https://www.biecuoliao.com/tag/toc/" title="toc">toc</a>, <a href="https://www.biecuoliao.com/tag/%e7%bc%a9%e8%bf%9b/" title="缩进">缩进</a>, <a href="https://www.biecuoliao.com/tag/owb/" title="owb">owb</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>[vundle]利用vundle工具来管理vim插件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mmo8RX3.html" rel="bookmark">Vundle管理vim插件实现python自动补全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vim使用方便,如果安装了插件就更完美了. 下面介绍vundle管理vim插件,配置python环境. 示例图 下载安装Vundle,修改~/.vimrc 配置文件,写python程序能够实现自动补全,提示等. &quot; Source a global configuration file if available &quot;if filereadable(&quot;/etc/vim/vimrc.local&quot;) &quot; source /etc/vim/vimrc.local &qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02gvYR3.html" rel="bookmark">PHP开发工具上的vim插件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我中间使用过一段gvim 现在习惯用vim模式写代码 不管在什么工具上都试着安装 vim插件,总结我所使用过的开发工具和如何安装vim插件. 1.zendstudio 这个工具是一个不错的IDE工具,主要是可以开关闭工程,很方便(其他方面我没有试) 这个工具也可以安装vim插件-- Vrapper - Vim-like editing in Eclipse Update Site Stable: http://vrapper.sourceforge.net/update-site/stable 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41BrrXM.html" rel="bookmark">常用vim插件的安装、使用和管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1.Ctags Ctags工具是用来遍历源代码文件生成tags文件,这些tags文件能被编辑器或者其他工具用来快速查找定位源代码中的符号,入变量名,函数名等.比如,tags文件就是Taglist和OmniCppComplete工作的基础. 安装过程: (1)打开链接:www.vim.org/scripts/script.php?script_id=610,下载完成后进去下载文件夹. (2)在下载文件夹下通过命令unzip ctags.vim命令解压下载的stags压缩文件,然后通过命令sud			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mz1o5O4.html" rel="bookmark">跟我一起学习VIM - vim插件合集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2016-06-14 15:04 13333人阅读 评论(0) 收藏 举报 分类: Linux(104)  目录(?)[+]  前两天同事让我在小组内部分享一下VIM,于是我花了一点时间写了个简短的教程.虽然准备有限,但分享过程中大家大多带着一种惊叹的表情,原来编辑器可以这样强大,这算是对我多年来使用VIM的最大鼓舞吧.所以分享结束之后,将这篇简短教程整理一下作为我2014年的第一篇Blog. 目录写在前面:Life Changing Editor什么是VIM为什么选VIM为什么选其它为什么犹豫			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWxRAG0.html" rel="bookmark">【转载】跟我一起学习VIM - vim插件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 写在前面:Life Changing Editor 什么是VIM 为什么选VIM 为什么选其它 为什么犹豫选择它们 VIM &gt;= SUM(现代编辑器) 如何学习VIM 一秒钟变记事本 VIM的基本用法 VIM进阶:插件 插件管理神器:Vundle 配色方案 导航与搜索 自动补全 语法 其它 终极配置: spf13 与其它软件集成 一些资源 写在最后 搭完网站之后的第一篇文章有些兴奋,先变身话痨简单回顾一下我是如何接触到VIM的,不感兴趣的同学可以直接跳过这一部分:-) 写在前面:Life			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLWkwk4.html" rel="bookmark">vim插件和配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vim插件和配置 插件 pathogen 可以方便地管理vim插件 在没有pathogen的情况下,vim插件的文件全部都放在.vim目录,卸载插件很麻烦,pathogen可以将不同的插件放在一个单独的目录下,安装插件只需要将插件的文件夹复制到制定文件夹(bundle)内,卸载插件时只需要删除文件夹,方便好用. 以下插件都可以采用“下载zip包到vundle文件夹,解压zip包”的方法进行安装 下载及安装https://github.com/tpope/vim-pathogen nerdtree			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YvEbO3.html" rel="bookmark">python学习-vim插件安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				centos7上自带python2.7,我们需要优化一下python环境. 一.使用豆瓣源加速软件安装 pip install -i   flask    #使用-i 选项 mkdir ~./pip &amp;&amp; vim pip.conf        #修改pip的配置文件 [global] index-url = https://pypi.douban.com/simple/ 二.修改.vimrc文件 主要增加一些配置选项,例如显示行号,一键执行等 vim .vimrc set nocompa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KYxJK4.html" rel="bookmark">vim插件配置，莫名的成功了</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近这几天都在配置vim编辑环境,弄了好久都没有成功,今天不知道怎么突然就成功了,瞎猫碰上死耗子!最终的图片和大神安装成功的图片不一样,插件也没有给选择的机会它直接全安装上了..... 记录以下几点:(centos7最小化安装.64位,英语四级阅读github上的说明就足够了) 1.vim7升级到vim8,要用yum安装只能从7.4.10升级到7.4.16(官方认证源),无奈只好通过安装未经认证的三方源直接升级到vim8,彻底解决安装vim源码包带来的种种不便: 2.管理vim插件的插件有很多,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBebWA4.html" rel="bookmark">vim插件管理器Vundle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.vim为什么需要插件管理器 按照正常的vim插件安装包括去官网下载.解压.拷贝到VIM的安装目录以及运行:help tags这几个步骤.这些步骤已经足够复杂,更加无法想象的是要更新或者删除一个插件时,因为它的文件分布在各个目录下,就比如Windows上的安装路径,Applicationdata,用户数据,注册表等等,除非你对VIM的插件机制和要删的插件了如直掌,否则你能难将它删除干净.所以一段时间之后,VIM的安装目录下简直就是一团乱麻,管理插件几乎成为了一项不可能完成的任务.插件管理器也是			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OmE2rM.html" rel="bookmark" class="title">linux中解决SSH连接慢问题</a>
					<div>
						现在连接linux服务器一般都是使用SSH远程连接的方式.最近新装了一台服务器,发现telnet时速度很快,ping时一切也正常,但SSH连接的时候却很慢.经过网上资料查询,大致是有以下几种原因: 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35VeyE4.html" rel="bookmark" class="title">初学linux网络服务之samba服务实验</a>
					<div>
						实验拓扑: Linux Client -----RHEL5.9(vmnet1)----------(vmnet1) Win7 Client 实验一:Samba匿名共享 工作组为Tarena 将目录 / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0knRojM.html" rel="bookmark" class="title">java：（json，ajax，path）</a>
					<div>
						1.json: &lt;%@ page language=&quot;java&quot; import=&quot;java.util.*&quot; pageEncoding=&quot;UTF- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEkrBX3.html" rel="bookmark" class="title">Scala List 用法</a>
					<div>
						1.++[B]   在A元素后面追加B元素 scala&gt; val a = List(1) a: List[Int] = List(1) scala&gt; val b = List(2) b:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wyvjRM.html" rel="bookmark" class="title">linux文件系统简介</a>
					<div>
						文件系统是linux的一个十分基础的知识,同时也是学习linux的必备知识. 本文将站在一个较高的视图来了解linux的文件系统,主要包括了linux磁盘分区和目录.挂载基本原理.文件存储结构.软链接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02LNQE4.html" rel="bookmark" class="title">微软程序员最好的时代来了</a>
					<div>
						微软程序员最好的时代来了 每过一段时间就有人跳出来说微软不行了,.NET不行了,然后就去舔Java, 但是一直让我觉得比较奇怪的是,几年以后那些人还在用.NET,而且继续喷着.NET, 舔着JAVA, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5wVxM.html" rel="bookmark" class="title">C&num;复习中&period;&period;&period;</a>
					<div>
						CIL: Common Intermediate Language 公共中间语言CLR: Common Language Runtime 公共语言运行库Creation of New Types is ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5l1Z0.html" rel="bookmark" class="title">2&period;基本类型</a>
					<div>
						1.8种基本数据类型					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6bBBWM.html" rel="bookmark" class="title">&lbrack;BZOJ2820&rsqb;YY的GCD</a>
					<div>
						试题描述 神犇YY虐完数论后给傻×kAc出了一题给定N, M,求1&lt;=x&lt;=N, 1&lt;=y&lt;=M且gcd(x, y)为质数的(x, y)有多少对kAc这种傻×必然不会了,于是向 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz1JE84.html" rel="bookmark" class="title">asp&period;net权限认证篇外：集成域账号登录</a>
					<div>
						在之前的我们已经讲过asp.net权限认证:Windows认证,现在我们来讲讲域账号登录, 这不是同一件事哦,windows认证更多的是对资源访问的一种权限管控,而域账号登录更多的是针对用户登录的认证 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38wPkR0.html" rel="bookmark" class="title">SDC&lpar;3&rpar;&amp;ndash&semi;set&lowbar;multicycle&lowbar;path 最关键的一张图</a>
					<div>
						上图意思是,假如使用 –setup option,默认约束的是 latch clock:假如使用 –hold option,默认约束的是 launch clock.箭头表示不同组合下时钟沿的移动方向. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MElEVQ4.html" rel="bookmark" class="title">Java中的volatile关键字</a>
					<div>
						一.计算机内存模型的相关概念 计算机在执行程序时,每条指令都是在CPU中执行的,而执行指令过程中,可能会涉及到数据的读取和写入.由于程序运行过程中的临时数据是存放在主存(物理内存)当中的,由于CPU执 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wjrzb0.html" rel="bookmark" class="title">1&period;3 编写一个程序，显示下面的图案</a>
					<div>
						public class Test{ public static viod main(String[ ] args){ System out println(&quot; A&quot;); Syst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV7Vyx0.html" rel="bookmark" class="title">java基础-HashMap</a>
					<div>
						jdk7的HashMap实现的思路比较简单,就是一个Entry数组,数组中每个Entry都是一个链表的起点(表头). 1 public V put(K key, V value) { 2 if (ta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZwyX0.html" rel="bookmark" class="title">thread&lowbar;线程创建</a>
					<div>
						创建线程的2种方式,一种是直接继承Thread,另外一种就是实现Runnable接口. 这2种方式都有一个缺陷就是:在执行完任务之后无法获取执行结果.如果需要获取执行结果,就必须通过共享变量或者使用线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35wkLEM.html" rel="bookmark" class="title">【代码笔记】先选择城市，然后，跳转Tabbar</a>
					<div>
						一,效果图. 二,工程图. 三,代码. ChooseCityViewController.h #import &lt;UIKit/UIKit.h&gt; @interface ChooseCityVi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoLyaP0.html" rel="bookmark" class="title">STM32 LoRaWAN探索板B-L072Z-LRWAN1入门指南</a>
					<div>
						UM2159用户手册 基于STM32L0的超低功耗LoRa探索套件入门指南 前言 LoRa 探索套件(B-L072Z-LRWAN1)是一款RF探索开发板,采用了Murata公司的LoRa模块CMWX1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wBEVY0.html" rel="bookmark" class="title">个人总结深入&period;NET平台和C&num;编程</a>
					<div>
						前言:学习C#编程应该有几个月了,作为一个菜鸟,没有资格来评论什么.只有对自己所学进行一个总结,可能有不严谨的地方,万望谅解.          一·深入.NET框架 .NET框架(.NET Fram ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXlLPqM.html" rel="bookmark" class="title">使用System&period;Timers&period;Timer类实现程序定时执行</a>
					<div>
						使用System.Timers.Timer类实现程序定时执行 在C#里关于定时器类有3个:System.Windows.Forms.Timer类.System.Threading.Timer类和Sys ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmNjqK0.html" rel="bookmark" class="title">网站框构分析 一</a>
					<div>
						Facebook用户量大的问题由它的分布式缓存系统主要解决,剩下的自然是开源的mysql更合适了 &amp;lt;img src=&quot;https://pic2.zhimg.com/c6d403 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
